
# 📞 Amadz - Open Source Calling App

Welcome to **Amadz**! An alternative to the original ‘Phone’ app, designed to enhance the calling experience with rich customization options and a variety of additional features. Make it your own by adding new functionalities like call screening, call blocking, caller name announcement, and more. Your contributions can make this app a powerful tool for handling calls seamlessly.

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/com.talsk.amadz/)

Or download the latest APK from the [Releases Section](https://github.com/msusman1/Amadz/releases/latest).

![App Screenshot](https://github.com/msusman1/Amadz/blob/master/media/app_screenshot.png)

![App Demo](https://github.com/msusman1/Amadz/blob/master/media/amdaz_calling_app-demo.webm)

---

## 📌 Features

- **Room for Growth**: Clone and add custom features like:
    - Call screening
    - Call blocking and filtering
    - Caller name announcement
    - Custom ringtones and media on the call screen
    - Enhanced call UI and more

- **Current Capabilities**:
    - Clean, intuitive calling interface
    - Basic calling functionality as an alternative to the default Phone app

. **Set Amadz as Default**:
- To enable all features, set **Amadz** as your default calling app:
- Go to **Settings > Apps > Default Apps > Phone App** and select **Amadz**.

## 💡 Contributing

Contributions are what make the open-source community such an incredible place to learn, inspire, and create. Feel free to contribute by:
- Reporting bugs
- Submitting new features (call screening, call blocking, UI improvements, etc.)
- Improving documentation

1. **Fork the repository** and create your branch:
   ```bash
   git checkout -b feature/amazing-feature
   ```

2. **Commit your changes**:
   ```bash
   git commit -m 'Add some amazing feature'
   ```

3. **Push to the branch**:
   ```bash
   git push origin feature/amazing-feature
   ```

4. **Open a pull request**

---

## 📜 License
Apache License 2.0 © 2023 msusman1

Licensed under the Apache License, Version 2.0 (the "License"); 
you may not use this file except in compliance with the License. You may obtain a copy of the License at:

    http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software distributed under 
the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
either express or implied. See the License for the specific language governing permissions and limitations under the License.
